const gridWidth = 72
const gridHeight = 72
const gridsInX = 14
const gridsInY = 10
class Map extends egret.Sprite {
  private grids:any = []
  public constructor() {
    super();
    this.init()
  }

  // 初始化(给开始按钮绑定点击事件)
  private init() {
    console.log('Map.init')
    for (let i = 0; i < gridsInY; i++) {
      this.grids.push([])
      for (let j = 0; j < gridsInX; j++) {
        const grid = new MapGrid()
        grid.x = j * gridWidth
        grid.y = i * gridHeight
        this.grids[i].push(grid)
        this.addChild(grid)
      }
    }
    if (Store.isCatcher()) {
      const mask = new egret.Shape()
      mask.x = 100 
      mask.y = 100
      mask.graphics.lineStyle( 10, 0x00ff00 );
      mask.graphics.beginFill( 0xff0000, 1);
      mask.graphics.drawCircle( 0, 0, 50 );
      mask.graphics.endFill();
      mask.touchEnabled = false 
      this.mask = mask
    }
    // put display object to this scene
  }

  public release() {
    // 移除事件
  }
}